'use strict';

angular.module('adf.widget.electre.lavoisier')
    .value('renderingIFrameList', {
        defaultRendering : 'pdf',
        renderings : [
            'chart',
            'gz',
            'html',
            'pdf',
            'xlsx.xml',
            'zip'
        ]
    }).controller('lavoisierIFrameEditCtrl',
        [
            '$scope', 'config', '$controller', 'domService', 'renderingFactory', 'renderingIFrameList',
            function ($scope, config, $controller, domService, renderingFactory, renderingIFrameList) {
                $controller('lavoisierBaseEditCtrl',
                    {
                        $scope : $scope,
                        config : config
                    }
                );

                renderingFactory.createRenderingDomFromArray(renderingIFrameList, angular.element(document.getElementById('edit_form_div_lavoisier')), config);
            }
        ]
    ).controller('lavoisierIframeCtrl',
         [
             "$scope", "config", "$sce",
             function($scope, config, $sce){
                 if (config.baseurl && config.view) {
                     var url_ = config.baseurl + "/" + config.view + (Object.keys(config["parameters_" + config.view]).length > 0 ? "?" : "");
                     if (Object.keys(config["parameters_" + config.view]).length > 0)
                         for (var index in config["parameters_" + config.view])
                             if (config["parameters_" + config.view][index])
                                 url_ += (url_.substring(url_.length - 1).match(/\u003f/) ? "" : "&")
                                     + index + "=" + config["parameters_" + config.view][index];

                     if (config.rendering) url_ += (url_.match(/\u003f/) ? "&" : "?") + "accept=" + config.rendering;

                     $scope.height = 350;
                     $scope.url = $sce.trustAsResourceUrl(url_);
                 }
             }
         ]
    );